Subject: Re: bug#69492: File too big for Emacs?

From: Robert Boyer <[email-masked]>
Date: Sat, 2 Mar 2024 07:04:37 -0600

I suspect that I have a Chromebook/Gnu-Linux problem, not an Emacs problem.

Using 'crosh', the terminal for the Chromebook, I did:

   swap enable 4000

and then rebooted.

After the reboot, Chrosh reports a lot of swap space:

crosh> free
               total        used        free      shared  buff/cache
available
Mem:         3881392     1615268       48408     1896264     2217716
 299596
Swap:        4095996     2636800     1459196
crosh>

However, the free command when typed into the Emacs shell, running under
Linux, still says:

> free
               total        used        free      shared  buff/cache
available
Mem:         2827236     1178476     1075032       22224      573728
1648760
Swap:              0           0           0

It seems possible that my problem may have a solution, namely to wipe my
Linux clean and start over from scratch.

I thank you for your wise and very kind help, and I will let you know if I
make any progress.

Bob

P. S. I think you may close this bug report, saying 'not an Emacs problem'.

On Sat, Mar 2, 2024 at 6:15 AM Robert Boyer <[email-masked]>
wrote:

> > What does the command 'free' display if you invoke it from the shell
> prompt?
>
> > free
>                total        used        free      shared  buff/cache
> available
> Mem:         2827236     1172052     1010804       22736      644380
> 1655184
> Swap:              0           0           0
> >
>
> On Sat, Mar 2, 2024 at 5:10 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Robert Boyer <[email-masked]>
>> > Date: Sat, 2 Mar 2024 02:54:47 -0600
>> > Cc: [email-masked], [email-masked], [email-masked],
>> >       [email-masked], [email-masked], [email-masked]
>> >
>> > I did not seem to have trouble finding the file, literally.
>> >
>> > It showed up ok in a buffer, as I said in my bug report.
>> >
>> > The problem I had was that I could not move to the bottom of the buffer
>> with M->.
>>
>> What exactly is the problem?  My guess is that the problem is the same
>> I mentioned: your system doesn't have enough VM.  What does the
>> command 'free' display if you invoke it from the shell prompt?
>>
>